Bug 40803 - X freezes with Trident Blade 3D Video Card
X freezes with Trident Blade 3D Video Card
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 21:15 EDT by Alejandro Gonzalez Hernandez - Imoq
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-30 18:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar.gz file with the results of various configuration attemps (10.36 KB, application/octet-stream)
2001-05-15 21:19 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details

  None (edit)
Description Alejandro Gonzalez Hernandez - Imoq 2001-05-15 21:15:22 EDT
From Bugzilla Helper:
User-Agent: res://D:\WINNT\system32\shdoclc.dll/refresh.gif

Description of problem:
Whenever I start KDE with startx, the system hangs and it won't do 
anything else. I have to manually reboot the computer, and deal with the 
fsck that comes after.

How reproducible:
Always

Steps to Reproduce:
1. type startx
2. open xmms or any other program and start using it.

	

Actual Results:  System freezes, I am not able to do anything else, nor 
Ctrl-Alt-Backspace or Ctrl-Alt-Del


Expected Results:  System should continue working until I shut it down, 
not to freeze.


Additional info:

My system was working all right when I had a SiS 6326 AGP video card. Then 
I switched to the Trident Blade 3D one and it freezes everytime I start 
KDE.

I already tried the latest XFree86 + Mesa packages from rawhide, still had 
the same results.
Comment 1 Alejandro Gonzalez Hernandez - Imoq 2001-05-15 21:19:15 EDT
Created attachment 18530 [details]
tar.gz file with the results of various configuration attemps
Comment 2 Mike A. Harris 2001-05-16 12:16:38 EDT
It is easier for me to look at individual text file attachments than to
download and uncompress a tarball.  Please attach individual files next
time.  Thanks.
Comment 3 Alejandro Gonzalez Hernandez - Imoq 2001-05-16 12:43:24 EDT
I am sorry.

Do you want me to upload them in text files, instead? I will next time, but 
what about this one? :)
Comment 4 Mike A. Harris 2001-05-16 19:06:40 EDT
Yes, that would be great, that way I can have a quick in-browser look and
possibly see the solution/problem.  Download/uncompress/view means I have
to try to keep track of the files for the duration of a bug report which
is impossible to manage.  It's easier to just have them here in a viewable
state, but as attachments so they do not clutter the report, and are still
easily downloadable if need be.

Thanks.
Comment 5 Alejandro Gonzalez Hernandez - Imoq 2001-05-16 20:26:55 EDT
Here is the output of /var/log/XFree86.0 log

--- SNIP ---

XFree86 Version 4.0.3 (Red Hat Linux release: 4.0.3-14) / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Compiled with Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri May 11 03:55:24 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Trident Blade3D (generic)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "es"
(**) XKB: layout: "es"
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.3
	XFree86 XInput driver : 0.1
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x80000060, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1106,0691 card 0000,0000 rev 44 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1106,8598 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1106,0686 card 1106,0000 rev 22 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 1106,0571 card 0000,0000 rev 10 class 01,01,8a hdr 00
(II) PCI: 00:07:2: chip 1106,3038 card 0925,1234 rev 10 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 1106,3038 card 0925,1234 rev 10 class 0c,03,00 hdr 00
(II) PCI: 00:07:4: chip 1106,3057 card 0000,0000 rev 30 class 06,00,00 hdr 00
(II) PCI: 00:0a:0: chip 1102,0002 card 1102,8027 rev 08 class 04,01,00 hdr 80
(II) PCI: 00:0a:1: chip 1102,7002 card 1102,0020 rev 08 class 09,80,00 hdr 80
(II) PCI: 00:0b:0: chip10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: 00:0c:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: 01:00:0: chip 1023,9880 card 1023,9880 rev 3a class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) Host-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c (VGA_EN is set)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xd4000000 - 0xd7ffffff (0x4000000) MX[B]
(II) Bus 1 prefetchable memory range:
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(II) Bus -1: bridge is at (0:0:0), (-1,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(--) PCI:*(1:0:0) Trident Blade3D rev 58, Mem @ 0xd5800000/23, 0xd6000000/17, 
0xd5000000/23
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
	[0] -1	0xd9001000 - 0xd90010ff (0x100) MX[B]
	[1] -1	0xd9000000 - 0xd90000ff (0x100) MX[B]
	[2] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[3] -1	0xd5000000 - 0xd57fffff (0x800000) MX[B](B)
	[4] -1	0xd6000000 - 0xd601ffff (0x20000) MX[B](B)
	[5] -1	0xd5800000 - 0xd5ffffff (0x800000) MX[B](B)
	[6] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[7] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[8] -1	0x0000e000 - 0x0000e007 (0x8) IX[B]
	[9] -1	0x0000dc00 - 0x0000dc1f (0x20) IX[B]
	[10] -1	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[11] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[12] -1	0x0000d000 - 0x0000d00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xd9001000 - 0xd90010ff (0x100) MX[B]
	[1] -1	0xd9000000 - 0xd90000ff (0x100) MX[B]
	[2] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[3] -1	0xd5000000 - 0xd57fffff (0x800000) MX[B](B)
	[4] -1	0xd6000000 - 0xd601ffff (0x20000) MX[B](B)
	[5] -1	0xd5800000 - 0xd5ffffff (0x800000) MX[B](B)
	[6] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[7] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[8] -1	0x0000e000 - 0x0000e007 (0x8) IX[B]
	[9] -1	0x0000dc00 - 0x0000dc1f (0x20) IX[B]
	[10] -1	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[11] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[12] -1	0x0000d000 - 0x0000d00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xd9001000 - 0xd90010ff (0x100) MX[B]
	[6] -1	0xd9000000 - 0xd90000ff (0x100) MX[B]
	[7] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[8] -1	0xd5000000 - 0xd57fffff (0x800000) MX[B](B)
	[9] -1	0xd6000000 - 0xd601ffff (0x20000) MX[B](B)
	[10] -1	0xd5800000 - 0xd5ffffff (0x800000) MX[B](B)
	[11] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[12] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[13] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[14] -1	0x0000e000 - 0x0000e007 (0x8) IX[B]
	[15] -1	0x0000dc00 - 0x0000dc1f (0x20) IX[B]
	[16] -1	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[17] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[18] -1	0x0000d000 - 0x0000d00f (0x10) IX[B]
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "pex5"
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension X3D-PEX
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "pex5"
(II) Reloading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Loading extension X3D-PEX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "xie"
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XIE
(II) LoadModule: "trident"
(II) Loading /usr/X11R6/lib/modules/drivers/trident_drv.o
(II) Module trident: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.1
(II) TRIDENT: driver for Trident chipsets: tvga8900d, cyber9320, cyber9388,
	cyber9397, cyber9397dvd, cyber9520, cyber9525dvd, cyberblade/e4,
	tgui9420dgi, tgui9440agi, tgui9660, tgui9680, providia9682,
	providia9685, cyber9382, cyber9385, 3dimage975, 3dimage985, blade3d,
	cyberbladei7, cyberbladei7d, cyberbladei1, cyberbladei1d,
	cyberbladeAi1, cyberbladeAi1d
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset blade3d found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xd9001000 - 0xd90010ff (0x100) MX[B]
	[6] -1	0xd9000000 - 0xd90000ff (0x100) MX[B]
	[7] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[8] -1	0xd5000000 - 0xd57fffff (0x800000) MX[B](B)
	[9] -1	0xd6000000 - 0xd601ffff (0x20000) MX[B](B)
	[10] -1	0xd5800000 - 0xd5ffffff (0x800000) MX[B](B)
	[11] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[12] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[13] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[14] -1	0x0000e000 - 0x0000e007 (0x8) IX[B]
	[15] -1	0x0000dc00 - 0x0000dc1f (0x20) IX[B]
	[16] -1	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[17] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[18] -1	0x0000d000 - 0x0000d00f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xd9001000 - 0xd90010ff (0x100) MX[B]
	[6] -1	0xd9000000 - 0xd90000ff (0x100) MX[B]
	[7] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[8] -1	0xd5000000 - 0xd57fffff (0x800000) MX[B](B)
	[9] -1	0xd6000000 - 0xd601ffff (0x20000) MX[B](B)
	[10] -1	0xd5800000 - 0xd5ffffff (0x800000) MX[B](B)
	[11] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[12] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[13] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[14] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[15] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[16] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[17] -1	0x0000e000 - 0x0000e007 (0x8) IX[B]
	[18] -1	0x0000dc00 - 0x0000dc1f (0x20) IX[B]
	[19] -1	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[20] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[21] -1	0x0000d000 - 0x0000d00f (0x10) IX[B]
	[22] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[23] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(**) TRIDENT(0): Depth 16, (--) framebuffer bpp 16
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) TRIDENT(0): Initializing int10
(II) TRIDENT(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(==) TRIDENT(0): RGB weight 565
(==) TRIDENT(0): Default visual is TrueColor
(==) TRIDENT(0): Using gamma correction (1.0, 1.0, 1.0)
(==) TRIDENT(0): Using HW cursor
(==) TRIDENT(0): Linear framebuffer at 0xD5800000
(--) TRIDENT(0): IO registers at 0xD6000000
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) TRIDENT(0): VESA BIOS detected
(II) TRIDENT(0): VESA VBE Version 2.0
(II) TRIDENT(0): VESA VBE Total Mem: 8192 kB
(II) TRIDENT(0): VESA VBE OEM: Trident Blade 3D
(II) TRIDENT(0): VESA VBE OEM Software Rev: 2.0
(II) TRIDENT(0): VESA VBE OEM Vendor: TRIDENT MICROSYSTEMS INC.
(II) TRIDENT(0): VESA VBE OEM Product: Blade 3D
(II) TRIDENT(0): VESA VBE OEM Product Rev:  J  6.5 (41D)  
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) TRIDENT(0): VESA VBE DDC supported
(II) TRIDENT(0): VESA VBE DDC Level 2
(II) TRIDENT(0): VESA VBE DDC transfer in appr. 1 sec.
(II) TRIDENT(0): VESA VBE DDC read successfully
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) TRIDENT(0): Manufacturer: SAM  Model: 1035  Serial#: 1146106165
(II) TRIDENT(0): Year: 2000  Week: 4
(II) TRIDENT(0): EDID Version: 1.1
(II) TRIDENT(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) TRIDENT(0): Sync:  Separate
(II) TRIDENT(0): Max H-Image Size [cm]: horiz.: 28  vert.: 21
(II) TRIDENT(0): Gamma: 2.12
(II) TRIDENT(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) TRIDENT(0): redX: 0.632 redY: 0.335   greenX: 0.295 greenY: 0.593
(II) TRIDENT(0): blueX: 0.143 blueY: 0.066   whiteX: 0.283 whiteY: 0.298
(II) TRIDENT(0): Supported VESA Video Modes:
(II) TRIDENT(0): 720x400@70Hz
(II) TRIDENT(0): 720x400@88Hz
(II) TRIDENT(0): 640x480@60Hz
(II) TRIDENT(0): 640x480@67Hz
(II) TRIDENT(0): 640x480@72Hz
(II) TRIDENT(0): 640x480@75Hz
(II) TRIDENT(0): 800x600@56Hz
(II) TRIDENT(0): 800x600@60Hz
(II) TRIDENT(0): 800x600@72Hz
(II) TRIDENT(0): 800x600@75Hz
(II) TRIDENT(0): 832x624@75Hz
(II) TRIDENT(0): 1024x768@87Hz (interlaced)
(II) TRIDENT(0): 1024x768@60Hz
(II) TRIDENT(0): 1024x768@70Hz
(II) TRIDENT(0): 1024x768@75Hz
(II) TRIDENT(0): Manufacturer's mask: 0
(II) TRIDENT(0): Supported Future Video Modes:
(II) TRIDENT(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) TRIDENT(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) TRIDENT(0): #2: hsize: 1024  vsize 768  refresh: 75  vid: 20321
(II) TRIDENT(0): Supported additional Video Mode:
(II) TRIDENT(0): clock: 36.0 MHz   Image Size:  267 x 200 mm
(II) TRIDENT(0): h_active: 640  h_sync: 696  h_sync_end 752 h_blank_end 832 
h_border: 0
(II) TRIDENT(0): v_active: 480  v_sync: 481  v_sync_end 484 v_blanking: 509 
v_border: 0
(II) TRIDENT(0): Supported additional Video Mode:
(II) TRIDENT(0): clock: 56.2 MHz   Image Size:  267 x 200 mm
(II) TRIDENT(0): h_active: 800  h_sync: 832  h_sync_end 896 h_blank_end 1048 
h_border: 0
(II) TRIDENT(0): v_active: 600  v_sync: 601  v_sync_end 604 v_blanking: 631 
v_border: 0
(II) TRIDENT(0): Supported additional Video Mode:
(II) TRIDENT(0): clock: 78.8 MHz   Image Size:  267 x 200 mm
(II) TRIDENT(0): h_active: 1024  h_sync: 1040  h_sync_end 1136 h_blank_end 1312 
h_border: 0
(II) TRIDENT(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 800 
v_border: 0
(II) TRIDENT(0): Ranges: V min: 50  V max: 120 Hz, H min: 30  H max: 61 kHz, 
PixClock max 80 kHz
(--) TRIDENT(0): Revision is 58
(--) TRIDENT(0): Found Blade3D chip
(--) TRIDENT(0): RAM type is SDRAM
(--) TRIDENT(0): Found 8MB board, using 4MB
(--) TRIDENT(0): VideoRAM: 4096 kByte
(--) TRIDENT(0): Memory Clock is 120.27 MHz
(==) TRIDENT(0): Min pixel clock is 12 MHz
(--) TRIDENT(0): Max pixel clock is 230 MHz
(II) TRIDENT(0): Monitor0: Using hsync range of 30.00-55.00 kHz
(II) TRIDENT(0): Monitor0: Using vrefresh range of 50.00-120.00 Hz
(II) TRIDENT(0): Clock range:  12.00 to 230.00 MHz
(WW) TRIDENT(0): Mode "1400x1050" deleted (hsync out of range)
(WW) TRIDENT(0): Mode "1400x1050" deleted (hsync out of range)
(WW) TRIDENT(0): Mode "1400x1050" deleted (hsync out of range)
(WW) TRIDENT(0): Mode "1400x1050" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1024x768" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1024x768" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1024x768" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1152x864" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1280x960" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1280x960" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1280x1024" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1280x1024" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1280x1024" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) TRIDENT(0): Default mode "1792x1344" deleted (insufficient memory for mode)
(WW) TRIDENT(0): Default mode "1792x1344" deleted (insufficient memory for mode)
(WW) TRIDENT(0): Default mode "1856x1392" deleted (insufficient memory for mode)
(WW) TRIDENT(0): Default mode "1856x1392" deleted (insufficient memory for mode)
(WW) TRIDENT(0): Default mode "1920x1440" deleted (insufficient memory for mode)
(WW) TRIDENT(0): Default mode "1920x1440" deleted (insufficient memory for mode)
(--) TRIDENT(0): Virtual size is 1024x768 (pitch 1024)
(**) TRIDENT(0): Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(--) TRIDENT(0): Display dimensions: (28, 21) cm
(--) TRIDENT(0): DPI set to (92, 92)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.2.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xd5000000 - 0xd57fffff (0x800000) MX[B]
	[1] 0	0xd6000000 - 0xd601ffff (0x20000) MX[B]
	[2] 0	0xd5800000 - 0xd5ffffff (0x800000) MX[B]
	[3] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[4] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[5] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[6] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[7] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[8] -1	0xd9001000 - 0xd90010ff (0x100) MX[B]
	[9] -1	0xd9000000 - 0xd90000ff (0x100) MX[B]
	[10] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[11] -1	0xd5000000 - 0xd57fffff (0x800000) MX[B](B)
	[12] -1	0xd6000000 - 0xd601ffff (0x20000) MX[B](B)
	[13] -1	0xd5800000 - 0xd5ffffff (0x800000) MX[B](B)
	[14] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[15] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[16] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[17] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[18] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[19] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[20] -1	0x0000e000 - 0x0000e007 (0x8) IX[B]
	[21] -1	0x0000dc00 - 0x0000dc1f (0x20) IX[B]
	[22] -1	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[23] -1	0x0000d400 - 0x0000d41f (0x20) IX[B]
	[24] -1	0x0000d000 - 0x0000d00f (0x10) IX[B]
	[25] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[26] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) TRIDENT(0): Write-combining range (0xd5800000,0x400000)
(II) TRIDENT(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	CPU to Screen color expansion
	Solid Horizontal and Vertical Lines
	Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		10 256x256 slots
(==) TRIDENT(0): Backing store disabled
(==) TRIDENT(0): Silken mouse enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)

--- SNIP ---

Here is my /etc/X11/XF86Config-4


--- SNIP ---


# File generated by anaconda.

Section "ServerLayout"
        Identifier     "Anaconda Configured"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

EndSection

Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "extmod"
	Load "fbdevhw"
	Load "pex5"
#	Load "dri"
        Load  "glx"
        Load  "pex5"
        Load  "record"
        Load  "xie"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"

#	Option	"AutoRepeat"	"500 5"

# when using XQUEUE, comment out the above line, and uncomment the
# following line
#	Option	"Protocol"	"Xqueue"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"pc105"
	Option	"XkbLayout"	"es"
	#Option	"XkbVariant"	""
	#Option	"XkbOptions"	""
EndSection

Section "InputDevice"
  Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Monitor Model"
        HorizSync   30-55
        VertRefresh 50-120

        # -- 1400x1050 --
        # 1400x1050 @ 60Hz, 65.8 kHz hsync
        Modeline "1400x1050"  129   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 70Hz, 76.8 kHz hsync
        Modeline "1400x1050"  151   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 75Hz, 82.3 kHz hsync
        Modeline "1400x1050"  162   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 85Hz, 93.2 kHz hsync
        Modeline "1400x1050"  184   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

EndSection

Section "Device"
	# no known options
	Identifier   "Trident Blade3D (generic)"
        Driver       "trident"
        VendorName   "Trident Blade3D (generic)"
        BoardName     "Trident Blade3D (generic)"
        
        #BusID
EndSection

Section "Screen"
	Identifier   "Screen0"
        Device       "Trident Blade3D (generic)"
        Monitor      "Monitor0"
	DefaultDepth	16

	Subsection "Display"
        	Depth       16
                Modes       "1024x768" 
	EndSubsection

EndSection

#Section "DRI"
#	Mode 0666
#EndSection

--- SNIP ---

And here is another XF86Config that I tried after downloading the packages from 
rawhide:

--- SNIP ---

# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# Module loading section

Section "Module"
	Load  "dbe"		# Double-buffering
	Load  "GLcore"		# OpenGL support
	#Load  "dri"		# Direct rendering infrastructure
	Load  "glx"		# OpenGL X protocol interface
	Load  "extmod"		# Misc. required extensions
	Load  "v4l"		# Video4Linux
	# Load  "pex5"		# PHIGS for X 3D environment (obsolete)
	# Load  "record"	# X event recorder
	# Load  "xie"		# X Image Extension (obsolete)
	# You only need the following two modules if you do not use xfs.
	# Load  "freetype"	 # TrueType font handler
	# Load  "type1"		# Adobe Type 1 font handler
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"es"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "IMPS/2"
	Option      "Emulate3Buttons" "off"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "Samsung SyncMaster 550v"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30-55
	VertRefresh 50-120
	Option "dpms"
EndSection

Section "Device"
	Identifier "Trident Blade3D (generic)"
	Driver "trident"
	BoardName "Unknown"
EndSection

Section "Device"
	Identifier "Linux Frame Buffer"
	Driver "fbdev"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "Trident Blade3D (generic)"
	Monitor "Samsung SyncMaster 550v"
	DefaultDepth 16
	Subsection "Display"
		Depth 24
		Modes "1024x768" "800x600" "640x480"
	EndSubSection
	Subsection "Display"
		Depth 16
		Modes "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "DRI"
	Mode 0666
EndSection

--- SNIP ---

If you need any more files, I'll put them here.

Thanks.

Alex.
Comment 6 Alejandro Gonzalez Hernandez - Imoq 2001-05-22 00:12:09 EDT
Do you need more info?

I read somewhere in the net that some VIA chipset have issues, I do have a 
motherboard with VIA chipset. Also, I have a sound blaster live! soundcard, 
what other information can I post here?

Perhaps some other log files? Please, let me know.

Alex.
Comment 7 Alejandro Gonzalez Hernandez - Imoq 2001-05-30 18:24:02 EDT
Nevermind, I already changed that Blade 3D video card for a voodoo 3 AGP, and 
my system now works fine.

This means:

1. The problem WAS the video card.
2. I can't do any further test with it, since I don't own it anymore.

Regards,

Alex.
Comment 8 Mike A. Harris 2001-08-08 08:40:22 EDT
Closing bug as I don't have hardware avail, and reporter doesn't
have hardware anymore.

Note You need to log in before you can comment on or make changes to this bug.